/*
 * Argument.h
 *
 *  Created on: 16 avr. 2015
 *      Author: michel
 */

#ifndef ARGUMENT_H_
#define ARGUMENT_H_

#include <string>
//#include "Reference.h"
namespace modele {
class Reference;

class Argument {
protected:

public:
  Argument()  {}
  virtual bool estCalculable()=0;
  /** Méthode virtuelle pure retournant une chaîne représentant l'expression (arbre)
   * @return la chaîne
   */
  virtual std::string toString()=0;  // virtuelle pure(=0)

  /** Clonage arborescent d'une expression.
   *
   */
  virtual Argument *clone()=0;
  /** destructeur virtuel pur : le destructeur de l'hérité sera appelé
   */
  /** met à jour les références situées dans des expressions ou des plages
   *
   */
  virtual void majRefRelatives(Reference *r)=0;



  virtual ~Argument() {}
};

} /* namespace modele */

#endif /* ARGUMENT_H_ */
