/*
 * ValVide.h
 *
 *  Created on: 25 mars 2015
 *      Author: michel
 */

#ifndef VALVide_H_
#define VALVide_H_

#include "Valeur.h"

namespace modele {

/** La classe ValVide représente une Valeur Vide
 * @author Michel Meynard
 * @version 1.0
 */
class ValVide: public Valeur {

public:
  ValVide(){}

  std::string toString(){return std::string("");}

  Valeur * calculer(){return new ValVide();}

  Expression *clone(){return new ValVide();}

  ~ValVide(){}

};

} /* namespace modele */

#endif /* VALVide_H_ */
